Subject: bug#38748: 28.0.50; crash on MacOS 10.15.2

From: Robert Pluim <[email-masked]>
Date: Thu, 09 Jan 2020 15:13:22 +0100

>>>>> On Thu, 09 Jan 2020 15:51:24 +0200, Andrii Kolomoiets <[email-masked]> said:

    Andrii> I made an assumption that gdb is indeed working incorrectly for me
    Andrii> because:
    Andrii> - It can't print last_marked
    Andrii> - It shows a lot of ?? in call-stack
    Andrii> - Emacs is not crashing if running not under gdb
    Andrii> - Emacs keep working after continuing execution after gdb reaches
    Andrii>   terminate_due_to_signal breakpoint

Emacs crashes for me with or without gdb (and under lldb).

    Andrii> So I tried to use lldb.
    Andrii> Under lldb the crash is not occured on commit with 'ok = false'.

    Andrii> Also I came up with code to reproduce crash under 'emacs -Q' at least on
    Andrii> my machine.

    Andrii> Here is the '~/emacs-crash.el' content:
    Andrii> (make-frame `((parent-frame . ,(window-frame))))
    Andrii> (make-frame `((parent-frame . ,(window-frame))))
    Andrii> (make-frame `((parent-frame . ,(window-frame))))
    Andrii> (make-frame `((parent-frame . ,(window-frame))))
    Andrii> (delete-frame)
    Andrii> (delete-frame)
    Andrii> (delete-frame)
    Andrii> (delete-frame)
    Andrii> (garbage-collect)

That doesnʼt crash for me with 'emacs -Q', but Iʼm not on 10.15.2 yet,
Iʼm still on 10.14

    Andrii> This code is start crashing on the commit
    Andrii> bb42f6ef10cb250a9263b17a8794e950a563d5d0

    Andrii> Though I can't use xTYPE commands under lldb please see attached lldb
    Andrii> output. It has all the call-stack frames starting from 'main'.

Thatʼs very different from the call stack I see. Perhaps we have two
bugs?

Robert